<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- SEO Meta Tags -->
    <meta name="description"
          content="Create a stylish landing page for your business startup and get leads for the offered services with this HTML landing page template.">
    <meta name="author" content="Inovatik">

    <!-- OG Meta Tags to improve the way the post looks when you share the page on LinkedIn, Facebook, Google+ -->
    <meta property="og:site_name" content=""/> <!-- website name -->
    <meta property="og:site" content=""/> <!-- website link -->
    <meta property="og:title" content=""/> <!-- title shown in the actual shared post -->
    <meta property="og:description" content=""/> <!-- description shown in the actual shared post -->
    <meta property="og:image" content=""/> <!-- image link, make sure it's jpg -->
    <meta property="og:url" content=""/> <!-- where do you want your post to link to -->
    <meta property="og:type" content="article"/>

    <!-- Website Title -->
    <title>SafetyCar</title>

    <!-- Styles -->
    <link href="https://fonts.googleapis.com/css?family=Raleway:400,400i,600,700,700i&amp;subset=latin-ext"
          rel="stylesheet">
    <link th:href="@{/css/bootstrap.css}" href="../static/css/bootstrap.css" rel="stylesheet">
    <link th:href="@{/css/fontawesome-all.css}" href="../static/css/fontawesome-all.css" rel="stylesheet">
    <link th:href="@{/css/swiper.css}" href="../static/css/swiper.css" rel="stylesheet">
    <link th:href="@{/css/magnific-popup.css}" href="../static/css/magnific-popup.css" rel="stylesheet">
    <link th:href="@{/css/styles.css}" href="../static/css/styles.css" rel="stylesheet">
    <!-- Compiled and minified CSS -->
    <link rel="stylesheet" th:href="@{https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css}"
          href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">

    <!-- Compiled and minified JavaScript -->
    <script th:href="@{https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js}"
            src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>


    <!-- needet for the Date Picker-->
    <script type="text/javascript" src="https://code.jquery.com/jquery-1.11.3.min.js"></script>
    <script type="text/javascript"
            src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.4.1/js/bootstrap-datepicker.min.js"></script>
    <!--    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.4.1/css/bootstrap-datepicker3.css"/>-->
    <link rel="stylesheet" th:href="@{/css/bootstrap-datepicker3.css}" href="../static/css/bootstrap-datepicker3.css"/>
    <!--<link href="jquery.datetimepicker.min.css" rel= "stylesheet"/>-->
    <!-- <link href="css/mdb.min.css" rel="stylesheet"> -->


    <!-- Favicon  -->
    <link rel="icon" th:href="@{/images/favicon.png}" href="../static/images/favicon.png">
</head>
<body data-spy="scroll" data-target=".fixed-top">

<!-- Preloader -->
<div class="spinner-wrapper">
    <div class="spinner">
        <div class="bounce1"></div>
        <div class="bounce2"></div>
        <div class="bounce3"></div>
    </div>
</div>
<!-- end of preloader -->


<!-- Navigation -->
<nav th:replace="fragments/navbar-short.html :: navig-bar-short"></nav>
<!-- end of navigation -->


<!-- Pricing -->
<div th:fragment="profile-info-modal" id="pricing" class="cards-profileinfo ">
    <div class="container" id="profile-page-container">


        <div class="col">
            <div class="row">
                <div class="col mb-3">
                    <div class="card">
                        <div class="card-body">
                            <div class="e-profile">
                                <div class="row">
                                    <div class="col-12 col-sm-auto mb-3">

                                    </div>
                                    <div class="col d-flex flex-column flex-sm-row justify-content-between mb-3">
                                        <div class="text-center text-sm-left mb-2 mb-sm-0">
                                            <h4 th:if="${user.firstName == null && user.lastName == null}"
                                                class="pt-sm-2 pb-1 mb-0 text-nowrap"></h4>
                                            <h4 th:unless="${user.firstName == null && user.lastName == null}"
                                                th:text="${user.firstName} + ' ' + ${user.lastName}"
                                                class="pt-sm-2 pb-1 mb-0 text-nowrap">Dimitar Hristov</h4>
                                            <p th:text="${user.email}" class="mb-0">d.hristov@gmail.com</p>

                                            <!--                                            <div class="mt-2">-->
                                            <!--                                                <button class="btn btn-primary" type="button">-->
                                            <!--                                                    <i class="fa fa-fw fa-camera"></i>-->
                                            <!--                                                    <span>Change Photo</span>-->
                                            <!--                                                </button>-->
                                            <!--                                            </div>-->
                                        </div>
                                    </div>
                                </div>



                                <ul class="nav nav-tabs" id="myTab" role="tablist">
                                    <li class="nav-item">
                                        <a href="#home" class="nav-link active" id="profile-tab" data-toggle="tab"
                                           role="tab"
                                           aria-controls="home">Profile</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" id="cars-tab" data-toggle="tab" href="#profile" role="tab"
                                           aria-controls="profile">Cars</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" id="policies-tab" data-toggle="tab" href="#profile2"
                                           role="tab"
                                           aria-controls="profile">Policies</a>
                                    </li>
                                </ul>

                                <div class="col-md-8">
                                    <div class="tab-content profile-tab" id="myTabContent">
                                        <div class="tab-pane fade show active" id="home" role="tabpanel"
                                             aria-labelledby="profile-tab">
                                            <div class="table-wrapper-scroll-y my-custom-scrollbar">
                                                <table class="table table-bordered table-striped mb-0">
                                                    <form th:action="@{/profile-page}" method="post" class="form">
                                                        <div class="row">
                                                            <div class="col">
                                                                <div class="row">
                                                                    <div class="col">
                                                                        <div class="form-group">
                                                                            <label>First Name</label>
                                                                            <input th:field="${user.firstName}" disabled
                                                                                   class="form-control" type="text"
                                                                                   name="name"
                                                                                   placeholder="John Smith"
                                                                                   value="John Smith">
                                                                            <label class="error"
                                                                                   th:errors="*{user.firstName}"></label>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col">
                                                                        <div class="form-group">
                                                                            <label>Last Name</label>
                                                                            <input th:field="${user.lastName}" disabled
                                                                                   class="form-control" type="text"
                                                                                   name="username"
                                                                                   placeholder="johnny.s"
                                                                                   value="johnny.s">
                                                                            <label class="error"
                                                                                   th:errors="*{user.lastName}"></label>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="row">
                                                                    <div class="col">
                                                                        <div class="form-group">
                                                                            <label>Email</label>
                                                                            <input th:field="${user.email}"
                                                                                   disabled class="form-control"
                                                                                   type="text"
                                                                                   placeholder="user@example.com">

                                                                        </div>
                                                                    </div>
                                                                    <div class="col">
                                                                        <div class="form-group">
                                                                            <label>Phone Number</label>
                                                                            <input th:field="${user.phoneNumber}" disabled
                                                                                   class="form-control" type="text"
                                                                                   placeholder="+359 ">
                                                                        </div>
                                                                        <label class="error"
                                                                               th:errors="*{user.phoneNumber}"></label>
                                                                    </div>
                                                                </div>
                                                                <div class="row">
                                                                    <div class="col">
                                                                        <div class="form-group">

                                                                            <label>Region</label>
                                                                            <input th:field="${user.address.city.region.region}"
                                                                                   disabled class="form-control"
                                                                                   type="text"
                                                                                   placeholder="user@example.com">
                                                                        </div>
                                                                    </div>
                                                                    <div class="col">
                                                                        <div class="form-group">
                                                                            <label>City</label>
                                                                            <input th:field="${user.address.city.city}"
                                                                                   disabled class="form-control"
                                                                                   type="text"
                                                                                   placeholder="user@example.com">

                                                                        </div>

                                                                    </div>
                                                                </div>

                                                                <div class="row">
                                                                    <div class="col">
                                                                        <div class="form-group">
                                                                            <label>Address</label>
                                                                            <input th:field ="*{user.address.address}" disabled class="form-control"
                                                                                   type="text"
                                                                                   placeholder="str.Alexander Bukovsky N5">
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                            </div>
                                                        </div>
                                                    </form>
                                                </table>

                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="profile" role="tabpanel"
                                             aria-labelledby="cars-tab">
                                            <div class="table-wrapper-scroll-y my-custom-scrollbar">
                                                <table class="table table-bordered table-striped mb-0">
                                                    <thead>
                                                    <tr>
                                                        <th scope="col">Car Photo</th>
                                                        <th scope="col">Car Brand</th>
                                                        <th scope="col">Car Model</th>
                                                        <th scope="col">First Registration Date</th>
                                                        <th scope="col">Car Reg Certificate</th>

                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    <tr th:each="car : ${userCars}">
                                                        <td><a th:href="@{/profile-page/gallery/__${car.id}__}" class="button">view photos<i class="fas fa-images"></i></td>
                                                        <td th:text="${car.model.brand.brand}">Honda</td>
                                                        <td th:text="${car.model.model}">Accord</td>
                                                        <td th:text="${car.firstRegDate}">2008</td>
                                                        <td th:if="${car.carRegCertificate !=null}">available</td>
                                                        <td th:unless="${car.carRegCertificate !=null}">not available
                                                        </td>

                                                        </form>

                                                    </tr>

                                                    </tbody>
                                                </table>

                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="profile2" role="tabpanel"
                                             aria-labelledby="policies-tab">
                                            <div class="table-wrapper-scroll-y my-custom-scrollbar">
                                                <table class="table table-bordered table-striped mb-0">
                                                    <thead>
                                                    <tr>
                                                        <th scope="col">Status</th>
                                                        <th scope="col">Insurance Plan</th>
                                                        <th scope="col">Submit Date</th>
                                                        <th scope="col">End Date</th>
                                                        <th scope="col">Start Date</th>
                                                        <th scope="col">Start Time</th>
                                                        <th scope="col">Payment Type</th>
                                                        <th scope="col">Agent</th>
                                                        <th scope="col">Car</th>
                                                        <th scope="col">Total Amount</th>

                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    <tr th:each="policy : ${userPolicies}">
                                                        <td th:text="${policy.status.status}">pending</td>
                                                        <td th:if="${!policy.isProPlan()}">Starter plan</td>
                                                        <td th:unless="${!policy.isProPlan()}">Pro plan</td>
                                                        <td th:text="${policy.submitDate}">2020.11.12</td>
                                                        <td th:text="${policy.startDate}">2020.05.06</td>
                                                        <td th:text="${policy.endDate}">2020.05.06</td>
                                                        <td th:text="${policy.startTime}">12:45 PM</td>
                                                        <td th:text="${policy.paymentType.paymentType}">Once</td>
                                                        <td th:if="${policy.getAgent() == null}">No agent assigned</td>
                                                        <td th:unless="${policy.getAgent() == null}"
                                                            th:text="${policy.getAgent().getFirstName()} + ' ' + ${policy.getAgent().lastName}">
                                                            David Coperfield
                                                        </td>
                                                        <td th:text="${policy.car.model.brand.brand} + ' ' + ${policy.car.model.model}">
                                                            Honda Accord
                                                        </td>
                                                        <td th:text="${policy.totalAmount}">1 345.65 BGN</td>
                                                        </td>
                                                    </tr>

                                                    </tbody>
                                                </table>

                                            </div>
                                        </div>
                                    </div>
                                </div>


                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </div>
    </div>
</div>



<!-- Scripts -->
<script th:src="@{/js/jquery.min.js}" src="../static/js/jquery.min.js"></script>
<!-- jQuery for Bootstrap's JavaScript plugins -->
<script th:src="@{/js/popper.min.js}" src="../static/js/popper.min.js"></script>
<!-- Popper tooltip library for Bootstrap -->
<script th:src="@{/js/bootstrap.min.js}" src="../static/js/bootstrap.min.js"></script> <!-- Bootstrap framework -->
<script th:src="@{/js/jquery.easing.min.js}" src="../static/js/jquery.easing.min.js"></script>
<!-- jQuery Easing for smooth scrolling between anchors -->
<script th:src="@{/js/swiper.min.js}" src="../static/js/swiper.min.js"></script>
<!-- Swiper for image and text sliders -->
<script th:src="@{/js/jquery.magnific-popup.js}" src="../static/js/jquery.magnific-popup.js"></script>
<!-- Magnific Popup for lightboxes -->
<script th:src="@{/js/validator.min.js}" src="../static/js/validator.min.js"></script>
<!-- Validator.js - Bootstrap plugin that validates forms -->
<script th:src="@{/js/scripts.js}" src="../static/js/scripts.js"></script> <!-- Custom scripts -->
<script th:src="@{/js/mdb.min.js}" type="text/javascript" src="../static/js/mdb.min.js"></script>

</body>
</html>